%global bundle org.osgi.foundation

Name:    felix-osgi-foundation
Version: 1.2.0
Release: %mkrel 21
Summary: Felix OSGi Foundation EE Bundle
Group:   Development/Java
License: ASL 2.0
URL:     http://felix.apache.org
Source0: http://www.apache.org/dist/felix/%{bundle}-%{version}-project.tar.gz

BuildArch: noarch

BuildRequires: java-devel >= 1:1.6.0
BuildRequires: jpackage-utils
BuildRequires: maven-local
BuildRequires: mockito
BuildRequires: felix-parent

Requires: java-headless >= 1:1.6.0

%description
OSGi Foundation Execution Environment (EE) Classes.

%package javadoc
Group:          Documentation
Summary:        API documentation for %{name}

%description javadoc
This package contains API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}

%mvn_file :%{bundle} "felix/%{bundle}"
%mvn_alias "org.apache.felix:%{bundle}" "org.osgi:%{bundle}"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE



%changelog
* Wed Mar 02 2016 neoclust <neoclust> 1.2.0-21.mga6
+ Revision: 982205
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1.2.0-20.mga6
+ Revision: 976223
- First rebuild of the java stack
- sync package felix-osgi-foundation with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Tue Jan 13 2015 pterjan <pterjan> 1.2.0-13.mga5
+ Revision: 810476
- Sync with Fedora 21

* Wed Oct 15 2014 umeabot <umeabot> 1.2.0-12.mga5
+ Revision: 745885
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Thu Dec 19 2013 dmorgan <dmorgan> 1.2.0-10.mga4
+ Revision: 558753
- Build with xmvn

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.2.0-8.mga3
+ Revision: 350162
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jan 06 2012 dmorgan <dmorgan> 1.2.0-7.mga2
+ Revision: 192130
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 1.2.0-6.mga1
+ Revision: 92439
- Rebuild after bootstrapping
- imported package felix-osgi-foundation


* Mon Dec 27 2010 Mat Booth <fedora@matbooth.co.uk> - 1.2.0-5
- Update maven plug-in BRs.

* Mon Dec 13 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.2.0-4
- Versionless jars & javadocs
- Fix pom filename (#655800)

* Wed Jun 30 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 1.2.0-3
- The javadoc subpackage should have requires on jpackage-utils
- Use the mavenpomdir macro
- Rename the mavenPOM macro to publicPOM

* Tue Jun 29 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 1.2.0-2
- Use maven to build the project instead of ant

* Thu Jun 24 2010 Victor G. Vasilyev <victor.vasilyev@sun.com> 1.2.0-1
- Release 1.2.0
